#include "includes.h"
#include "ToolBar.h"

//   toolbar
TBBUTTON tbButtons[] = {
    { STD_FILENEW, IDM_FILE_NEW, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0L, 0},
    { STD_FILEOPEN, IDM_FILE_OPEN, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0L, 0},
    { STD_FILESAVE, IDM_FILE_SAVE, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0L, 0},
	{ 0, 0, TBSTATE_ENABLED, TBSTYLE_SEP, 0L, 0},
    { VIEW_LARGEICONS, IDM_VIEW_BIG, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0L, 0},
    { VIEW_SMALLICONS, IDM_VIEW_SMALL, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0L, 0},
    { VIEW_LIST, IDM_VIEW_LIST, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0L, 0},
    { VIEW_DETAILS, IDM_VIEW_TABLE, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0L, 0},
};


BOOL TB_Create(HWND hwndParent)
{
	TBADDBITMAP tb;
	int index, stdidx;
//   
	HANDLES.hWndToolbar= CreateToolbarEx(hwndParent, 
                   WS_CHILD|WS_BORDER|WS_VISIBLE|TBSTYLE_TOOLTIPS,
                   ID_TOOLBAR ,11,
                   (HINSTANCE)HINST_COMMCTRL,
                   IDB_STD_SMALL_COLOR, 
                   (LPCTBBUTTON)&tbButtons, 
                   4, 0, 0, 100, 30, 
                   sizeof(TBBUTTON));

	if (HANDLES.hWndToolbar == NULL)
	{
		MessageBox (NULL, TEXT("   !"),
                TEXT("   "), MB_OK);
		return FALSE;
	}
	//         
	//   
	tb.hInst = HINST_COMMCTRL;
	tb.nID = IDB_VIEW_SMALL_COLOR;
	stdidx = SendMessage(HANDLES.hWndToolbar, TB_ADDBITMAP, 12, (LPARAM)&tb);
	//     
	for (index = 4; index < 8; index++) 
         tbButtons[index].iBitmap += stdidx;
	//     
	SendMessage(HANDLES.hWndToolbar, TB_ADDBUTTONS, 4, (LONG) &tbButtons[4]);
	return TRUE;
}

