#include "includes.h"

#include "tabdialog.h"

int CreatePropertySheet(HWND hwndOwner,int style)
{
    PROPSHEETPAGE psp[2];
    PROPSHEETHEADER psh;
	ZeroMemory(&psh,sizeof(PROPSHEETHEADER ));
	ZeroMemory(&psp[0],sizeof(PROPSHEETPAGE ));
	ZeroMemory(&psp[1],sizeof(PROPSHEETPAGE ));
    psp[0].dwSize = sizeof(PROPSHEETPAGE);
    psp[0].dwFlags = PSP_USETITLE;
    psp[0].hInstance = HANDLES.hInst;
    psp[0].pszTemplate = MAKEINTRESOURCE(IDD_TRACKINFO);
    psp[0].pszIcon = NULL;
    psp[0].pfnDlgProc = Dlg_TrackInfo;
    psp[0].pszTitle = "";
    psp[0].lParam = 0;

    psp[1].dwSize = sizeof(PROPSHEETPAGE);
    psp[1].dwFlags = PSP_USETITLE;
    psp[1].hInstance = HANDLES.hInst;
    psp[1].pszTemplate = MAKEINTRESOURCE(IDD_PROPINFO);
    psp[1].pszIcon = NULL;
    psp[1].pfnDlgProc = Dlg_PropInfo;
    psp[1].pszTitle = "";
    psp[1].lParam = 0;

	
	psh.dwSize = sizeof(PROPSHEETHEADER);
	psh.dwFlags = PSH_PROPSHEETPAGE;
    if (style)
		psh.dwFlags = PSH_PROPSHEETPAGE;
	else
		psh.dwFlags = PSH_PROPSHEETPAGE|PSH_MODELESS ;
	psh.hwndParent = HANDLES.hWndMain;
    psh.hInstance = HANDLES.hInst;
    psh.pszIcon = NULL;
    psh.pszCaption = (LPSTR) "  ";
    psh.nPages = sizeof(psp) / sizeof(PROPSHEETPAGE);
	psh.ppsp = (LPCPROPSHEETPAGE) &psp;
    return (PropertySheet(&psh));
}


BOOL APIENTRY Dlg_TrackInfo(
	HWND hwndDlg,
	UINT message,
	UINT wParam,
	LONG lParam)
{
    BOOL bErr;
	static int pos, count,pos1;
	TCHAR nums[10];
	int i;
	LV_ITEM lvItem;

	switch (message)
	{
		case WM_INITDIALOG:	
			for (i=0;i<dwWkCount;i++)
			{
				if (WkRec[i].ind==HANDLES.iSelTrack)
					pos=i;	
				if (WkRec[i].ind==HANDLES.iSelDisk)
					pos1=i;
			}
			return (TRUE);

		case WM_NOTIFY:
    		switch (((NMHDR FAR *) lParam)->code) 
    		{
			case PSN_SETACTIVE:
			// initialize the controls
				TCHAR tmp[200];
				sprintf(tmp,":%s",WkRec[pos1].cGroup);
				SetDlgItemText(hwndDlg,IDC_GROUP,tmp);
				sprintf(tmp,":%s",WkRec[pos1].cDisc);
				SetDlgItemText(hwndDlg,IDC_ALBUM,tmp);
				
				sprintf(tmp,":%s",WkRec[pos].cTrack);
				SetDlgItemText(hwndDlg,IDC_TRACK,tmp);
				sprintf(tmp,":%s",WkRec[pos].cSinger);
				SetDlgItemText(hwndDlg,IDC_SINGER,tmp);
				sprintf(tmp," :%s",WkRec[pos].cDate);
				SetDlgItemText(hwndDlg,IDC_DATE,tmp);
			return FALSE;
			break;
			case PSN_APPLY:
			case PSN_KILLACTIVE:
				return 1;
				break;
			case PSN_RESET:
					break;
    	}
	}
	return (FALSE);   
}


BOOL APIENTRY Dlg_PropInfo(
	HWND hDlg,
	UINT message,
	UINT wParam,
	LONG lParam)
{	
	static int pos1;
	int i;
	switch (message)
	{

		case WM_INITDIALOG:	
			for (i=0;i<dwWkCount;i++)
			{
				if (WkRec[i].ind==HANDLES.iSelTrack)
					pos1=i;	
			}
			return (TRUE);
		case WM_COMMAND:
			switch (wParam)
			{
				case IDC_INCOLLECTION:
					SetDlgItemText( hDlg, IDC_PLACE, " ");
			}
			break;

		case WM_NOTIFY:
    		switch (((NMHDR FAR *) lParam)->code) 
    		{
				case PSN_SETACTIVE:
					// initialize the controls
					SetDlgItemText( hDlg, IDC_PLACE, WkRec[pos1].cPlace);
					break;
				case PSN_APPLY:
					GetDlgItemText( hDlg, IDC_PLACE, WkRec[pos1].cPlace,12);
				case PSN_KILLACTIVE:
					return 1;
					break;
				case PSN_RESET:
					break;
    	}
	}
	return (FALSE);   

}
